# Class default

- Defined in src/system/pokemon-data.ts:16

#####
Index

### Constructors

constructor

### Properties

abilityIndex
boss
exp
formIndex
friendship
fusionAbilityIndex
fusionFormIndex
fusionGender
fusionLuck
fusionShiny
fusionSpecies
fusionVariant
gender
hp
id
ivs
level
levelExp
luck
metBiome
metLevel
moveset
nature
natureOverride
passive
pauseEvolutions
player
pokeball
pokerus
shiny
species
stats
status
summonData
variant

### Methods

toPokemon

## Constructors

### constructor

- new default(source, forHistory?): default

- #### Parameters

  - source: any
  - forHistory: boolean = false

  #### Returns default

  - Defined in src/system/pokemon-data.ts:56

## Properties

### abilityIndex

abilityIndex: number

- Defined in src/system/pokemon-data.ts:21

### boss

boss: boolean

- Defined in src/system/pokemon-data.ts:52

### exp

exp: number

- Defined in src/system/pokemon-data.ts:27

### formIndex

formIndex: number

- Defined in src/system/pokemon-data.ts:20

### friendship

friendship: number

- Defined in src/system/pokemon-data.ts:37

### fusionAbilityIndex

fusionAbilityIndex: number

- Defined in src/system/pokemon-data.ts:46

### fusionFormIndex

fusionFormIndex: number

- Defined in src/system/pokemon-data.ts:45

### fusionGender

fusionGender: Gender

- Defined in src/system/pokemon-data.ts:49

### fusionLuck

fusionLuck: number

- Defined in src/system/pokemon-data.ts:50

### fusionShiny

fusionShiny: boolean

- Defined in src/system/pokemon-data.ts:47

### fusionSpecies

fusionSpecies: Species

- Defined in src/system/pokemon-data.ts:44

### fusionVariant

fusionVariant: Variant

- Defined in src/system/pokemon-data.ts:48

### gender

gender: Gender

- Defined in src/system/pokemon-data.ts:29

### hp

hp: number

- Defined in src/system/pokemon-data.ts:30

### id

id: number

- Defined in src/system/pokemon-data.ts:17

### ivs

ivs: number[]

- Defined in src/system/pokemon-data.ts:32

### level

level: number

- Defined in src/system/pokemon-data.ts:26

### levelExp

levelExp: number

- Defined in src/system/pokemon-data.ts:28

### luck

luck: number

- Defined in src/system/pokemon-data.ts:40

### metBiome

metBiome: -1 | Biome

- Defined in src/system/pokemon-data.ts:39

### metLevel

metLevel: number

- Defined in src/system/pokemon-data.ts:38

### moveset

moveset: PokemonMove []

- Defined in src/system/pokemon-data.ts:35

### nature

nature: Nature

- Defined in src/system/pokemon-data.ts:33

### natureOverride

natureOverride: -1 | Nature

- Defined in src/system/pokemon-data.ts:34

### passive

passive: boolean

- Defined in src/system/pokemon-data.ts:22

### pauseEvolutions

pauseEvolutions: boolean

- Defined in src/system/pokemon-data.ts:41

### player

player: boolean

- Defined in src/system/pokemon-data.ts:18

### pokeball

pokeball: PokeballType

- Defined in src/system/pokemon-data.ts:25

### pokerus

pokerus: boolean

- Defined in src/system/pokemon-data.ts:42

### shiny

shiny: boolean

- Defined in src/system/pokemon-data.ts:23

### species

species: Species

- Defined in src/system/pokemon-data.ts:19

### stats

stats: number[]

- Defined in src/system/pokemon-data.ts:31

### status

status: Status

- Defined in src/system/pokemon-data.ts:36

### summonData

summonData: PokemonSummonData

- Defined in src/system/pokemon-data.ts:54

### variant

variant: Variant

- Defined in src/system/pokemon-data.ts:24

## Methods

### toPokemon

- toPokemon(scene, battleType?, partyMemberIndex?, double?): default

- #### Parameters

  - scene: default
  - `Optional` battleType: BattleType
  - partyMemberIndex: number = 0
  - double: boolean = false

  #### Returns default

  - Defined in src/system/pokemon-data.ts:138